Package classycle.renderer

# Class PlainStrongComponentRenderer

java.lang.Object
classycle.renderer.AbstractStrongComponentRenderer
classycle.renderer.PlainStrongComponentRenderer

All Implemented Interfaces:
  `StrongComponentRenderer`

public class PlainStrongComponentRenderer extends AbstractStrongComponentRenderer
Plain text renderer of a `StrongComponent`.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`PlainStrongComponentRenderer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`render(StrongComponent component)`
Renderes the specified `StrongComponent`.

### Methods inherited from class classycle.renderer.AbstractStrongComponentRenderer

`createName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlainStrongComponentRenderer

public PlainStrongComponentRenderer()

## Method Details

### render

public String render(StrongComponent component)
Description copied from interface: `StrongComponentRenderer`
Renderes the specified `StrongComponent`.